"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isPlainObject(val) {
    var toString = Object.prototype.toString;
    return toString.call(val) === '[object Object]';
}
exports.isPlainObject = isPlainObject;
function deepMerge() {
    var objs = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        objs[_i] = arguments[_i];
    }
    var result = Object.create(null);
    objs.forEach(function (obj) {
        if (obj) {
            Object.keys(obj).forEach(function (key) {
                var val = obj[key];
                if (isPlainObject(val)) {
                    if (isPlainObject(result[key])) {
                        result[key] = deepMerge(result[key], val);
                    }
                    else {
                        result[key] = deepMerge(val);
                    }
                }
                else {
                    result[key] = val;
                }
            });
        }
    });
    return result;
}
exports.deepMerge = deepMerge;
//# sourceMappingURL=index.js.map