import { AxiosRequestConfig, CancelTokenStatic, CancelTokenSource, AxiosPromise, AxiosResponse, AxiosInstance } from "axios";
export declare class Http {
    private isSetInstancesToken;
    cancelToken: CancelTokenStatic;
    axiosIns: AxiosInstance;
    source: CancelTokenSource;
    authorizationTypeKey: string;
    authorizationTokenKey: string;
    authorizationTypeValue: number;
    authorizationTokenValue: string;
    static authorizationTypeKey: string;
    static authorizationTokenKey: string;
    static authorizationTypeValue: number;
    static authorizationTokenValue: string;
    static INSTANCES: {
        [key: string]: AxiosInstance;
    };
    static INSTANCES_REQUEST_INTERCEPTORS: {
        [key: string]: number;
    };
    static INSTANCES_RESPONSE_INTERCEPTORS: {
        [key: string]: number;
    };
    constructor(baseUrl: string, config?: AxiosRequestConfig);
    setInstancesAuthorizationTypeOrToken(typeKey: string, typeValue: number, tokenKey: string, tokenValue: string): void;
    private request;
    abort(): void;
    get(url: string, configs?: AxiosRequestConfig): AxiosPromise;
    post(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    put(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    patch(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    delete(url: string, configs?: AxiosRequestConfig): AxiosPromise;
    static setAuthorizationTypeOrToken(typeKey: string, typeValue: number, tokenKey: string, tokenValue: string): void;
    static getInstances(key: string): AxiosInstance;
    static setReqInterceptor(resolve?: (config: AxiosRequestConfig) => AxiosRequestConfig, reject?: (error: any) => void, url?: string): void;
    static setResInterceptor(resolve?: (res: AxiosResponse) => AxiosResponse, reject?: (error: any) => any, url?: string): void;
}
